## ! DO NOT MANUALLY INVOKE THIS setup.py, USE CATKIN INSTEAD

from setuptools import setup
from catkin_pkg.python_setup import generate_distutils_setup

setup_args = generate_distutils_setup(
    scripts=[
        'scripts/rospeex_spi.py',
        'scripts/rospeex_sr.py',
        'scripts/rospeex_ss.py'
    ],
    packages=[
        'rospeex_core',
        'rospeex_core.sr',
        'rospeex_core.ss',
        'rospeex_core.spi'
    ],
    package_dir={'':'src'},
    install_requires=['requests>=2.5.0']
)

setup(**setup_args)
